# Run docs tox tests on Ubuntu Docker images using GIFT PPA
name: test_docs
on:
  pull_request:
    branches:
    - main
  push:
    branches:
    - main
permissions: read-all
jobs:
  build:
    runs-on: ubuntu-latest
    strategy:
      matrix:
        include:
        - python-version: '3.12'
          toxenv: 'docs'
    container:
      image: ubuntu:22.04
    steps:
    - uses: actions/checkout@v3
    - name: Set up container
      env:
        DEBIAN_FRONTEND: noninteractive
      run: |
        apt-get update -q
        apt-get install -y libterm-readline-gnu-perl locales software-properties-common
        locale-gen en_US.UTF-8
        ln -f -s /usr/share/zoneinfo/UTC /etc/localtime
    - name: Install dependencies
      env:
        DEBIAN_FRONTEND: noninteractive
      run: |
        add-apt-repository -y universe
        add-apt-repository -y ppa:deadsnakes/ppa
        add-apt-repository -y ppa:gift/dev
        apt-get update -q
        apt-get install -y build-essential git libffi-dev libssl-dev python${{ matrix.python-version }} python${{ matrix.python-version }}-dev python${{ matrix.python-version }}-venv libbde-python3 libcaes-python3 libcreg-python3 libesedb-python3 libevt-python3 libevtx-python3 libewf-python3 libfcrypto-python3 libfsapfs-python3 libfsext-python3 libfsfat-python3 libfshfs-python3 libfsntfs-python3 libfsxfs-python3 libfvde-python3 libfwnt-python3 libfwsi-python3 liblnk-python3 libluksde-python3 libmodi-python3 libmsiecf-python3 libolecf-python3 libphdi-python3 libqcow-python3 libregf-python3 libscca-python3 libsigscan-python3 libsmdev-python3 libsmraw-python3 libvhdi-python3 libvmdk-python3 libvsapm-python3 libvsgpt-python3 libvshadow-python3 libvslvm-python3 python3-acstore python3-artifacts python3-bencode python3-certifi python3-cffi-backend python3-chardet python3-dateutil python3-defusedxml python3-dfdatetime python3-dfvfs python3-dfwinreg python3-distutils python3-dtfabric python3-fakeredis python3-flor python3-idna python3-lib2to3 python3-lz4 python3-mock python3-opensearch python3-pefile python3-pip python3-psutil python3-pyparsing python3-pytsk3 python3-redis python3-requests python3-setuptools python3-six python3-tz python3-urllib3 python3-xattr python3-xlsxwriter python3-yaml python3-yara python3-zmq python3-zstd
    - name: Install tox
      run: |
        python3 -m pip install tox
    - name: Run tests
      env:
        LANG: en_US.UTF-8
      run: |
        tox -e${{ matrix.toxenv }}
